Subject: Re: 1.5.18 ( 0.132/4/2 ) - ioperm - OpenSCManager failed
From: "Douglas Schilling Landgraf" <[email-masked]>
To: "gerrit" <[email-masked]>
Cc: "cygwin" <[email-masked]>
Date: Thu, 25 Aug 2005 17:59:16 -0300

Thanks Gerrit, I got how to compile my program reading "README" file ;o).
It needs use -lioperm flag ( On Linux it's -O2 for ioperm functions ) .  

$ gcc -o io io.c -lioperm
$./io
Illegal instruction ( code dumped )

I don't know why it happens on Cygwin. On Linux the same code works fine ( below ).

Maybe permission ( I'm using Windows XP SP2 )? I'm looking for it.

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/io.h>

int main( void ) {

unsigned char Value;

    ioperm(0x378, 3, 1);
    Value = inb(0x378+1);
    ioperm(0x378, 3, 0);

    printf("Status Parallel Port -> 0x%x\n", Value );

	return 0;

}

Best Regards,
Douglas Schilling Landgraf
> pppd wrote:
>
> > $ ioperm -i
> > OpenSCManager function call failed.
> > Error: ioperm.sys installation failed.
> >
> > and then..
> >
> > $ ioperm.sys
> > bash: /usr/bin/ioperm.sys: Permission denied
> >
> > Does anybody can help me ?
>
>  From the website:
> Install (activate) ioperm.sys driver using ioperm -i. This is required
> only for Windows NT/2000/XP.
>
> This works for me.  Maybe Administator rights are needed to install
> driver?
>
> Would be nice if this information could be included in the README.
>
>
> Gerrit
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/